User Interface Options

/firstLogo filename

/secondLogo filename

The appearance of either of these options causes WinBoard to reserve space for displaying logos on both sides of the clocks. Normally the first logo goes left, the second right, unless the option ‘swap clocks’ is in effect. The filename must refer to a bitmap file (.bmp) containing a logo for the particular player (usually a 130x65 or 100x50 bitmap, which will be scaled to the height of two clock lines.)

/autoLogo true|false

When true, causes WinBoard to automatically supply a logo for the first and second chess program, by looking for a fie named logo.bmp in the engine directory (as specified by the /fd or /sd option), and then displays it like this file was given as an argument to the /firstLogo or /secondLogo option. In this mode it will also look in a sub-folder of its installation folder called “logos”, for finding logos with names corresponding to the ICS (e.g. “chessclub.com.bmp”) or to the human user, should they be involved in a game.

/hideThinkingFromHuman true|false

Prevents the engine thinking output to appear in the display, without necessitating to suppress the sending of this information altogether (so it can still appear in the PGN).

/noGUI

Suppresses all GUI functions of WinBoard (to speed up automated ultra-fast engine-engine games, which you don’t want to watch). There will be no board or clock updates, no printing of moves, and no update of the icon on the task bar in this mode.

/top or /xtop, or /alwaysOnTop true|false

Sets the Always On Top option. Default: False.

/queen or /xqueen, or /alwaysPromoteToQueen true|false

Sets the Always Queen option. Default: False.

/drag or /xdrag, or /animateDragging true|false

Sets the Animate Dragging option. Default: True.

/animate or /xanimate, or /animateMoving true|false

Sets the Animate Moving option. Default: True.

/flip or /xflip, or /flipView true|false

If Auto Flip View is not set, or if you are observing but not participating in a game, then the positioning of the board at the start of each game depends on the flipView option. If flipView is False (the default), the board is positioned so that the white pawns move from the bottom to the top; if True, the black pawns move from the bottom to the top. In any case, the Flip View menu command can be used to flip the board after the game starts

/autoflip or /xautoflip, or /autoFlipView true|false

Sets the Auto Flip View option. Default: True.

/autoraise or /xautoraise, or /autoRaiseBoard true|false

Sets the Auto Raise Board option. Default: True.

/highdrag or /xhighdrag, or /highlightDragging true|false

Sets the Highlight Dragging option. Must be on for /showTargetSquares to work. Default: False.

/showTargetSquares true|false

When set, and the Highlight Dragging option is set, WinBoard will indicate all squares a piece can legally move to when you pick up that piece, by drawing a colored dot in it. Default: False.

/highlight or /xhighlight, or /highlightLastMove true|false

Sets the Highlight Last Move option. Default: False.

/exit or /xexit, or /popupExitMessage true|false

Sets the Popup Exit Message menu option. Default: False.

/popup or /xpopup, or /popupMoveErrors true|false

Sets the Popup Move Errors menu option. Default: False.

/coords or /xcoords, or /showCoords true|false

Sets the Show Coords option. Default: False.

/legal or /xlegal, or /testLegality true|false

Sets the Test Legality option. Default: True.

/size or /boardSize sizename

Sets the Board Size option. Also chooses which board size any following Font options will affect. The default is the largest size that will fit on your screen.

/wpc or /whitePieceColor color
/bpc or /blackPieceColor color
/lsc or /lightSquareColor color
/dsc or /darkSquareColor color

Color specifications for white pieces, black pieces, light squares, and dark squares. Colors can be specified only by red/green/blue intensity, either in hexadecimal (as #rrggbb) or in decimal (as rrr,ggg,bbb). In the latter format, you must enclose the string in quotation marks if you leave spaces after the commas. The defaults are respectively #FFFFCC, #202020, #C8C365, and #77A26D. Available on the Board Colors section of the Board Options dialog.

If you are using a grayscale monitor, try setting the colors to:

    -whitePieceColor:#FFFFFF
    -blackPieceColor:#000000
    -lightSquareColor:#CCCCCC
    -darkSquareColor:#999999

/hsc or /highlightSquareColor color
/phc or /premoveHighlightColor color

Color specifications for the Highlight Last Move and Premove options, respectively. Colors can be specified only by red/green/blue intensity, either in hexadecimal (as #rrggbb) or in decimal (as rrr,ggg,bbb). In the latter format, you must enclose the string in quotation marks if you leave spaces after the commas. The defaults are respectively #FFFF00 and #FF0000, respectively. These colors are also used to indicate non-captures and captures, respectively, with the /showTargetSquares option. The premove color is also used to indicate the most recent move when stepping through the principal variation of an engine.

/mono or /xmono, or /monoMode true|false

Determines whether WinBoard displays its pieces and squares in black and white (True) or color (False, the default). Available in the Board Colors section of the Board Options dialog.

/flipBlack true|false

Determines whether WinBoard displays the black pieces upside down (or the white pieces in Flip View). Useful with Shogi with the traditional Japanese pieces, which are not distinguished by color but by orientation.

/allWhite true|false

Determines whether the white piece bitmaps will be used to display black pieces. The white pieces have a dark outline, which the black pieces lack. This makes the latter look vague if the color you give them is not very dark.

/renderPiecesWithFont fontname

Uses the named true-type font to render the pieces, rather than the built-in bitmaps. The font must be installed on your computer. If the name starts with a * it is ignored, allowing you to easily disable a font temporarily in the whinboard.ini file.

/fontPieceToCharTable characterstring

If font-based rendering of the pieces is used, this table specifies which character of the font alphabet should be used for which piece. The format of the character strings is the same as that of the argument of /pieceToCharTable.

/fontPieceSize number

The number gives the size of the piece, as a percentage of the square size.

/fontPieceBackColorWhite color
/fontPieceForeColorWhite color
/fontPieceBackColorBlack color
/fontPieceForeColorBlack color

Color specifications for white pieces, black pieces that are generated with font-based rendering.

/liteBackTextureFile filename

/darkBackTextureFile filename

The filename indicates a bitmap file that should be used to display the light or dark squares, allowing you to make boards that look like wood, marble, etc. A filename starting with * is ignored.

/liteBackTextureMode number

/darkBackTextureMode number

The number indicates the way the files given in the background-texture options should be used to fill in the squares. Valid texture modes are 1 (default) and 2. In mode 1 the squares are taken from portions of the texture bitmap and copied without further processing. In mode 2, squares can also be rotated, mirrored and so on in order to provide a little more variety to the texture. The operations are selected at random so the board will look slightly different every time the program is run.

/overideLineGap number

The number specifies the width, in pixels, of the grid lines used to separate the squares. If it is very small (like a single pixel), it becomes vey hard to see which squares are highlighted (to indicate the last move), as this highlighting is a color change of these grid lines. Highlighting the moves with an arrow is then recommended.

/highlightMovesWithArrow true|false

If this option is true, a big, fat arrow is drawn to indicate the last move.

/highlightArrowColor color

Specifies the color of the arrow that highlights the moves.

/evalHistoColorWhite color

/evalHistoColorBlack color

Specifies the colors to be used to plot the white and black scores in the evaluation graph.

/colorShout “effects color”
/colorSShout “effects color”
/colorChannel1 “effects color”
/colorChannel “effects color”
/colorKibitz “effects color”
/colorTell “effects color”
/colorChallenge “effects color”
/colorRequest “effects color”
/colorSeek “effects color”
/colorNormal “effects color”

Select colors and effects to colorize messages in the ICS Interaction window. The effects may be any combination of bold, italic, underline, and strikeout. Colors are specified as for squares and pieces. Available on the ICS Interaction Colors section of the ICS Options dialog. Limitation: On 256 color displays, Windows chooses the nearest solid color from the system palette, which will not always be close to the color you selected.

/colorBackground color

Sets the background color for the ICS Interaction window. Available on the ICS Interaction Colors section of the ICS Options dialog.

/colorize or /xcolorize, or /colorizeMessages true|false

If True, WinBoard colorizes messages in the ICS Interaction window with the colors listed above. Default: True. Available in the ICS Interaction Colors section of the ICS Options dialog.

/clockFont “fontname:size effects”
/messageFont “fontname:size effects”
/coordFont “fontname:size effects”
/tagsFont “fontname:size effects”
/commentFont “fontname:size effects”
/icsFont “fontname:size effects”

The fonts used respectively for the clocks, the message display line, rank and file coordinate labels, the Edit Tags dialog, the Edit Comment dialog, and the ICS Interaction window. These options may be given more than once. Each occurrence affects the fonts for the current board size; that is, the size given in the last preceding /boardSize option, if any, or else the default size. The font size may contain a decimal point, and the effects may be any combination of bold, italic, underline, and strikeout. Example: `/clockFont="Arial:20.0 bi".` Available on the Fonts menu.

/soundShout sound
/soundSShout sound
/soundChannel1 sound
/soundChannel sound
/soundKibitz sound
/soundTell sound
/soundChallenge sound
/soundRequest sound
/soundMove sound
/soundBell sound

/soundIcsWin sound
/soundIcsLoss sound
/soundIcsDraw sound
/soundIcsUnfinished sound

/soundIcsAlarm sound

Associate sounds with WinBoard events. Most of the events are the same ones that cause text colorization. In addition, soundMove is played if a chess engine or another player makes a move. SoundBell is played if the chess server sends an ASCII BEL character (Ctrl+G). Available on the Sounds menu.

SoundIcsWin, soundIcsLoss, soundIcsDraw and soundIcsUnfinished are played at the conclusion of an ICS game. The result of the game determines which sound is played.

SoundIcsAlarm is played when your game clock counts down to icsAlarmTime.

The sound argument may be one of the following:

- The name of a `.wav` file. The filename is interpreted relative to WinBoard's installation directory (the directory containing WinBoard.exe).
- `$`, indicating the default system sound.
- `!` followed by the name of a built-in WinBoard wave resource.
- `!` alone, or “” (empty string), indicating silence.

The default for soundMove and soundBell is `$`, while the others default to silence.

/dropMenu true|false

This option allows you to emulate old behavior, where the right mouse button brings up the (now deprecated) drop menu rather than displaying the position at the end of the principal variation. Default: False.

/icsMenu={entries} or /icsMenu=@filename

This option lets you customize the right-button context menu that is available in the upper (output) pane of the ICS Interaction window. It consists of a list of menu entries, one per line. If the option value starts with an @ sign, it is the name of a file that contains the entries. Each entry contains either four fields separated by commas or the single character `"-"`. The fields are:

1. The menu text. If this field begins with `"|"`, the item begins a new column in the menu and the `"|"` is not shown. If this field contains an `"&"`, the character after the ampersand is underlined in the menu and acts as a keyboard shortcut for the item when the menu is displayed. Do not assign the same shortcut key to two different menu items.
2. Text to insert into the input pane. The text cannot include a comma. You can use ICS aliases to get around this limitation.
3. A flag (1 or 0) saying whether to insert a space and name (see above) after the text. If you set this flag, you might also want to put "(name)" into the menu text as a memory aid.
4. A flag (1 or 0) saying whether the result should be sent immediately to ICS or left in the input pane for further editing.

You can now use two special insert texts “chat” and “none” in the entry definitions. In stead of being sent to the ICS, WinBoard will recognize them as special cases (they are not valid ICS commands anyway). “Chat” will open a chat box for the handle you clicked on, “none” will define a disabled entry (usually used with an item name of spaces), which you could put in the position of the menu that pops up under your mouse pointer, so there would be no default action when you up-click without moving the mouse first.

The entry `"-"` produces a separator line in the menu. The top three menu entries are always Copy and Paste, Copy, and Paste, but you have full control over the rest of the menu.

The default menu is:

    –
    &Who,who,0,1
    Playe&rs,players,0,1
    &Games,games,0,1
    &Sought,sought,0,1
    | ,none,0,0
    Open Chat &Box (name),chat,1,0
    &Tell (name),tell,1,0
    M&essage (name),message,1,0
    –
    &Finger (name),finger,1,1
    &Vars (name),vars,1,1
    &Observe (name),observe,1,1
    &Match (name),match,1,1
    Pl&ay (name),play,1,1

There is no graphical user interface to set this option. To change it, edit your settings file with a plain text editor such as Notepad.

/icsNames={names} or /icsNames=@filename

This option lets you customize the drop-down list of ICS names that appears in the WinBoard startup dialog. It consists of a list of strings, one per line. If the option value starts with an @ sign, it is the name of a file that contains the strings. When you select a string from the drop-down list, WinBoard prepends the text ”/ics /icsHost=” and adds the result to the command-line options. There is no graphical user interface to set this option. To change it, edit your settings file with a plain text editor such as Notepad.

/firstChessProgramNames={names} or /firstChessProgramNames="@filename"

This option lets you customize the first drop-down list of chess engine names that appears in the WinBoard startup dialog. It consists of a list of strings, one per line. If the option value starts with an @ sign, it is the name of a file that contains the strings. When you select a string from the drop-down list, WinBoard prepends the text ”/cp /firstChessProgram=” and adds the result to the command-line options.

There is no graphical user interface to set this option. To change it, edit your settings file with a plain text editor such as Notepad. Example:

    /firstChessProgramNames={GNUChess
    WCrafty-15_11 /fd="C:\Program Files\Crafty"
    ArasanX /fd="C:\Program Files\Arasan\Arasan 4.1"
    "EXchess xb" /fd=C:\EXchess
    Comet-WB /fd=C:\Comet
    }

/secondChessProgramNames={names} or /secondChessProgramNames="@filename"

This option lets you customize the second drop-down list of chess engine names that appears in the WinBoard startup dialog. It consists of a list of strings, one per line. If the option value starts with an @ sign, it is the name of a file that contains the strings. When you select a string from the drop-down list, WinBoard prepends the text ”/cp /secondChessProgram=” and adds the result to the command-line options.

There is no graphical user interface to set this option. To change it, edit your settings file with a plain text editor such as Notepad. Example:

`/secondChessProgramNames={GNUChess
WCrafty-15_11 /sd="C:\\Program Files\\Crafty\"
ArasanX /sd="C:\Program Files\Arasan\Arasan 4.1"
"EXchess xb" /sd=C:\EXchess
Comet-WB /sd=C:\Comet
}`

/x=xcoord /y=ycoord

Sets the initial location of the board window, giving the screen coordinates of the upper left-hand corner. Both arguments must be given together.

/analysisX=xcoord /analysisY=ycoord /analysisW=width /analysisH=height

These options have been deprecated, as the analysis window is replaced by the more general engine-output window. They are recognized, but ignored, and no longer saved in the winboard.ini file.

/commentX=xcoord /commentY=ycoord /commentW=width /commentH=height

Sets the initial location and size of the Comment window, giving the screen coordinates of the upper left-hand corner (relative to the main window), the width, and the height. All four arguments must be given together.

/gameListX=xcoord /gameListY=ycoord /gameListW=width /gameListH=height

Sets the initial location and size of the Game List window, giving the screen coordinates of the upper left-hand corner (relative to the main window), the width, and the height. All four arguments must be given together.

/icsX=xcoord /icsY=ycoord /icsW=width /icsH=height

Sets the initial location and size of the ICS Interaction window, giving the screen coordinates of the upper left-hand corner (relative to the main window), the width, and the height. All four arguments must be given together.

/tagsX=xcoord /tagsY=ycoord /tagsW=width /tagsH=height

Sets the initial location and size of the Tags window, giving the screen coordinates of the upper left-hand corner (relative to the main window), the width, and the height. All four arguments must be given together.

/moveHistoryX=xcoord moveHistoryY=ycoord /moveHistoryW=width /moveHistoryH=height

Sets the initial location and size of the move-history window, giving the screen coordinates of the upper left-hand corner (relative to the main window), the width, and the height. All four arguments must be given together.

/evalGraphX=xcoord /evalGraphY=ycoord /evalGraphW=width /evalGraphH=height

Sets the initial location and size of the evaluation-graph window, giving the screen coordinates of the upper left-hand corner (relative to the main window), the width, and the height. All four arguments must be given together.

/engineOutputX=xcoord /engineOutputY=ycoord

/engineOutputW=width /engineOutputH=height

Sets the initial location and size of the engine-output window, giving the screen coordinates of the upper left-hand corner (relative to the main window), the width, and the height. All four arguments must be given together.

/engineOutputUp true|false

/evalGraphUp true|false

/moveHistoryUp true|false

If set to True, the corresponding window is displayed, if False, the window is absent.

/stickyWindows true|false

Auxiliary windows touching the main window will stay attached to the latter when you move it.

/autoDisplayComment true|false

/autoDisplayTags true|false

If set to True, these options cause the window with the move comments, and the window with PGN tags, respectively, to pop up automatically when such tags or comments are encountered during the replaying a stored or loaded game.

/gameListTags string

The string contains single-character codes specifying the PGN tags that have to be listed for each game in the game-list window, and their order. The meaning of the characters is a=out-of-book info, b=black Elo, e=event, d=date, o=round, p=players, r=result, w=white Elo, s=site, t=time control and v=variant, Default: “eprd”.